#include <iostream>
using namespace std;
int main()
{
    int N;
    cin>>N;
    int a[N];
    int i, j, k, br=0;
    for(i=0; i<N; i++)
        cin>>a[i];

    for(i=0; i<N; i++){
        for(j=i+1; j<N; j++){
            if(a[i]>a[j]){
                k=a[i];
                a[i]=a[j];
                a[j]=k;
            }
        }
    }
    for(i=0; i<N; i++)
        for(j=i+1; j<N; j++)
            if( a[j]%a[i]==0){
                for(k=j+1; k<N; k++)
                    if( a[k]%a[j]==0){
                        br++;
                    }

            }


    cout<<br;
}
